commit:     3f71fa44bf00b6943ce718940b92b32e5c55906f
Author:     arbitrary-dev <arbitrary-dev <AT> users <DOT> noreply <DOT> github 
<DOT> com>
AuthorDate: Mon Apr 16 19:15:20 2018 +0000
Commit:     Patrice Clement <monsieurp <AT> gentoo <DOT> org>
CommitDate: Tue Apr 17 19:33:37 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3f71fa44

app-vim/youcompleteme: fix installation problem.

Error:
rm: cannot remove 'third_party/ycmd/libclang.so': No such file or directory
 * ERROR: app-vim/youcompleteme-99999999::gentoo failed (install phase):
 *   (no error message)
 *
 * Call stack:
 *     ebuild.sh, line 124:  Called src_install
 *   environment, line 4440:  Called die
 * The specific snippet of code:
 *       rm third_party/ycmd/libclang.so || die;

Actually:
$ ls third_party/ycmd
...
libclang.so.5
libclang.so.5.0

Closes: https://github.com/gentoo/gentoo/pull/8028

 app-vim/youcompleteme/youcompleteme-99999999.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/app-vim/youcompleteme/youcompleteme-99999999.ebuild 
b/app-vim/youcompleteme/youcompleteme-99999999.ebuild
index 85831cb80de..b41a7b847a8 100644
--- a/app-vim/youcompleteme/youcompleteme-99999999.ebuild
+++ b/app-vim/youcompleteme/youcompleteme-99999999.ebuild
@@ -102,7 +102,7 @@ src_install() {
        rm -r third_party/ycmd/{*.md,*.sh} || die
        find python -name *test* -exec rm -rf {} + || die
        egit_clean
-       rm third_party/ycmd/libclang.so || die
+       rm third_party/ycmd/libclang.so* || die
 
        vim-plugin_src_install
 

Reply via email to